apiVersion: v1
data:
  BASEPATH: data
  DB_NAME: EdgePoc
  DB_URL: mysql+mysqlconnector://poseoff:audaxlabs@mysql:3306/EdgePoc
  HOST: mysql
  MOUNT_POINT: /data
  PASSWORD: audaxlabs
  PORT: "3306"
  RTSP_URL: rtsp://apps:apps@192.168.11.202/axis-media/media.amp?videocodec=h265&camera=1
  USERNAME: poseoff
  frame_skip_count: "10"
kind: ConfigMap
metadata:
  annotations:
    documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
  name: poseoffbakcend
  namespace: poseoff-inference
---
apiVersion: v1
data:
  BACKEND_URL: http://192.168.11.122:8082
  CLOUD_URL: https://poseoff-edge-4yerohykja-uc.a.run.app
  EDGE_URL: http://192.168.11.121:9002
  PRICYTRAY_URL: http://192.168.1.1:8080
kind: ConfigMap
metadata:
  annotations:
    documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
  name: poseofffront
  namespace: poseoff-inference
---
apiVersion: v1
kind: Service
metadata:
  annotations:
    documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
  name: mysql
  namespace: poseoff-inference
spec:
  ports:
  - port: 3306
    protocol: TCP
  selector:
    app: mysql
---
apiVersion: v1
kind: Service
metadata:
  annotations:
    documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
  name: poseoff-backend-service
  namespace: poseoff-inference
spec:
  loadBalancerIP: 192.168.11.122
  ports:
  - port: 8082
    protocol: TCP
    targetPort: 8082
  selector:
    app: poseoff-backend
  type: LoadBalancer
---
apiVersion: v1
kind: Service
metadata:
  annotations:
    documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
  name: poseoff-frontend
  namespace: poseoff-inference
spec:
  loadBalancerIP: 192.168.11.121
  ports:
  - port: 80
    protocol: TCP
    targetPort: 80
  selector:
    app: poseoff-frontend
  type: LoadBalancer
---
apiVersion: v1
kind: Service
metadata:
  annotations:
    documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
  name: poseoff-inference-service
  namespace: poseoff-inference
spec:
  loadBalancerIP: 192.168.11.120
  ports:
  - port: 9002
    protocol: TCP
    targetPort: 9002
  selector:
    app: poseoff-inference-deployment
  type: LoadBalancer
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  annotations:
    documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
  name: mysql-pvc
  namespace: poseoff-inference
spec:
  accessModes:
  - ReadWriteOnce
  resources:
    requests:
      storage: 5Gi
  storageClassName: robin
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
  name: mysql
  namespace: poseoff-inference
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mysql
  template:
    metadata:
      annotations:
        documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
      labels:
        app: mysql
    spec:
      containers:
      - env:
        - name: MYSQL_ROOT_PASSWORD
          value: root
        - name: MYSQL_DATABASE
          value: EdgePoc
        - name: MYSQL_USER
          value: poseoff
        - name: MYSQL_PASSWORD
          value: audaxlabs
        image: mysql:latest
        name: mysql
        ports:
        - containerPort: 3306
        volumeMounts:
        - mountPath: /var/lib/mysql
          name: mysql-persistent-storage
      volumes:
      - name: mysql-persistent-storage
        persistentVolumeClaim:
          claimName: mysql-pvc
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
  name: poseoff-backend-deployment
  namespace: poseoff-inference
spec:
  replicas: 1
  selector:
    matchLabels:
      app: poseoff-backend
  template:
    metadata:
      annotations:
        documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
      labels:
        app: poseoff-backend
    spec:
      containers:
      - envFrom:
        - configMapRef:
            name: poseoffbakcend
        image: registry.gitlab.com/next8741410/poseoff_backend:latest
        imagePullPolicy: Always
        name: poseoff
        ports:
        - containerPort: 8082
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
  name: poseoff-frontend-deployment
  namespace: poseoff-inference
spec:
  replicas: 1
  selector:
    matchLabels:
      app: poseoff-frontend
  template:
    metadata:
      annotations:
        documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
      labels:
        app: poseoff-frontend
    spec:
      containers:
      - envFrom:
        - configMapRef:
            name: poseofffront
        image: registry.gitlab.com/next8741410/poseoff_frontend:latest
        imagePullPolicy: Always
        name: poseoff-frontend
        ports:
        - containerPort: 80
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
  name: poseoff-inference-deployment
  namespace: poseoff-inference
spec:
  replicas: 1
  selector:
    matchLabels:
      app: poseoff-inference-deployment
  template:
    metadata:
      annotations:
        documentation: https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git
      labels:
        app: poseoff-inference-deployment
    spec:
      containers:
      - image: registry.gitlab.com/next8741410/poseoff_inference:latest
        imagePullPolicy: Always
        name: poseoff-deploy
        ports:
        - containerPort: 9002
